Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 88302 - Upgrade Scripts for troika cms multilingual items
Summary: Upgrade Scripts for troika cms multilingual items
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Enterprise CMS
Classification: Retired
Component: other
Version: nightly
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: ccm-bugs-list
QA Contact: Jon Orris
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-04-08 18:27 UTC by Bryan Che
Modified: 2007-04-18 16:52 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-08-22 12:50:21 UTC


Attachments (Terms of Use)

Description Bryan Che 2003-04-08 18:27:25 UTC
Archiving info here so we remember it.

> > e) During the training week, I was trying to use the pset code with a > test
5.3 build.  5.3 had some issues - no preview link, item templates > tab doesn't
work, no way to add a non-UDCT to a section - which I'm > assuming will be fixed
or explained.  However, I discovered one > disturbing thing; the pset code
compiles with 5.3, but if you try to > create a Story content item (the content
item used in the pset), you > get an error.  I traced this down to the fact that
every content item, > including assets, now needs to define a content bundle,
and it's not > immediately obvious how to do this (I know it's done in >
PageCreate.java, but I had problems getting text assets to define a >
ContentBundle).


ML will require a nontrivial upgrade script that invents a bundle in
between existing items and their parent folder.

Whether a bundle is required as the parent of an item or not is largely
determined by the ItemResolver (MultilingualItemResolver). For DP we use
a subclass of the CMS MultilingualItemResolver that treats assets
specially and allows for assets that are not in bundles, but directly in
folders.

David


Note You need to log in before you can comment on or make changes to this bug.